<HTML><HEAD><TITLE>Manpage of USB_SENDHEX</TITLE>
</HEAD><BODY>
<H1>USB_SENDHEX</H1>
Section: User Commands (1)<BR>Updated: January 2010<BR><A HREF="#index">Index</A>
<A HREF="index.html">Return to Main Contents</A><HR>

<A NAME="lbAB">&nbsp;</A>
<H2>NAME</H2>

usb_sendhex - manual page for USB sendhex v.1.0
<A NAME="lbAC">&nbsp;</A>
<H2>SYNOPSIS</H2>

<B>usb_sendhex</B>

<I>&lt;parameters&gt; &lt;hex_file&gt;</I>
<A NAME="lbAD">&nbsp;</A>
<H2>DESCRIPTION</H2>

<DL COMPACT>
<DT><B>-d</B>, <B>--vid</B> &lt;num&gt;<DD>
device vendor id (VID) [0xDEAD]
<DT><B>-i</B>, <B>--pid</B> &lt;num&gt;<DD>
product id (PID) [0x1000]
<DT><B>-t</B>, <B>--type</B> &lt;num&gt;<DD>
target module memory space
<DT><B>-s</B>, <B>--start</B> &lt;addr&gt;<DD>
start address of transfer
<DT><B>-l</B>, <B>--length</B> &lt;num&gt;<DD>
length of upload block
<DT><B>-b</B>, <B>--block</B> &lt;num&gt;<DD>
maximal block length
<DT><B>-g</B>, <B>--go</B> &lt;addr&gt;<DD>
start program from address
<DT><B>-r</B>, <B>--reset</B><DD>
reset before download
<DT><B>-E</B>, <B>--mass-erase</B> &lt;mode&gt;<DD>
full device erase
<DT><B>-e</B>, <B>--erase</B><DD>
erase region defined by <B>-s</B> <B>-l</B>
<DT><B>-u</B>, <B>--upload</B><DD>
upload memory block [download]
<DT><B>-w</B>, <B>--wait</B><DD>
wait for device to be on
<DT><B>-f</B>, <B>--format</B> &lt;format&gt;<DD>
format of data file [ihex]
<DT><B>-p</B>, <B>--print</B><DD>
print devices
<DT><B>--debug-kernel</B> &lt;m&gt;<DD>
flags to debug kernel
<DT><B>-v</B>, <B>--verbose</B><DD>
verbose program
<DT><B>-V</B>, <B>--version</B><DD>
show version
<DT><B>-h</B>, <B>--help</B><DD>
this usage screen
<P>
</DL>

<HR>
<A NAME="index">&nbsp;</A><H2>Index</H2>
<DL>
<DT><A HREF="#lbAB">NAME</A><DD>
<DT><A HREF="#lbAC">SYNOPSIS</A><DD>
<DT><A HREF="#lbAD">DESCRIPTION</A><DD>
</DL>
<HR>
This document was created by
<A HREF="index.html">man2html</A>,
using the manual pages.<BR>
Time: 15:19:55 GMT, January 24, 2010
</BODY>
</HTML>
